QT += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

QMAKE_CXXFLAGS += -Wno-deprecated-copy

CONFIG += c++11
CONFIG += file_copies

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        mainwindow.cpp \
        myapplication.cpp \
        main.cpp \
        myinterpreter.cpp

HEADERS += \
    mainwindow.h \
    myapplication.h \
    myinterpreter.h

# Copy octave source file to build directory.
COPIES += octave_sources
octave_sources.files = $$files(octave-src/*.m)
octave_sources.path = $$OUT_PWD/octave-src/

win32:INCLUDEPATH += C:/Octave/Octave-5.2.0/mingw64/include/octave-5.2.0
# Static libraries in the lib directory.
win32:LIBS += -LC:/Octave/Octave-5.2.0/mingw64/lib/octave/5.2.0

# Dynamic libraries are in the bin directory, but have version numbers appended...
#win32:LIBS += -LC:/Octave/Octave-5.2.0/mingw64/bin

LIBS += -loctave -loctinterp -loctgui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
