#ifndef MYINTERPRETER_H
#define MYINTERPRETER_H

#include <QObject>

#include "octave/interpreter.h"

class MyApplication;

// Octave Interpreter that can be moved to another thread by
// inheriting QObject as well.
class MyInterpreter
    : public QObject
    , public octave::interpreter
{
    Q_OBJECT
public:
    MyInterpreter(MyApplication *parent=nullptr);

    void registerGraphics(void);
    void printGraphics(void);

public slots:
    void runTestFigure(octave_value_list *args);

signals:
    //void finished(void);
};

#endif // MYINTERPRETER_H
